Skip to main content

Delete a Customer object

DELETE 

/v1/customers/:id

Delete a Customer object.

Example of usage :

curl -i -u user:password -X DELETE http://orchestra-ip:orchestra-port/calendar-backend/api/v1/customers/{customerId}

NOTE: It is not possible to delete a customer which has a value for "interactionTimestamp" that is in the future.

Such a value implies that the customer has (or has had) an appointment in the future.

Request​

Responses​

HTTP 200 and the identified entity if found HTTP 404 if not found